#productSection {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(90svw , 400px), 1fr));
    gap: 50px;
}

#productSwiper.swiper {
    width: 100%;
    position: relative;
    margin-bottom: 10px;

    .swiper-slide img {
        width: 100%;
        aspect-ratio: 0.9;
        object-fit: cover;
        margin-inline: 60px;
    }
}

#productSwiperThumbs {
    img {
        height: 65px;
        aspect-ratio: 0.9;
        width: auto;
    }
}

#pNameContainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 10px;

    h1 {
        font-size: 20px;
        margin-bottom: 0;
    }

    #productIcons {
        white-space: nowrap;
        unicode-bidi: bidi-override;
        flex-grow: 1;
        justify-content: end;

        #productRating {
            b::after {
                content: ' از 5';
                color: gray;
                font-size: 80%;
            }

            .myIcons {
                color: var(--color2);
            }

        }

        display: flex;
        gap: 10px;

        .myIcons {
            cursor: pointer;
            font-size: 1.5rem;

            &:hover {
                color: var(--color2);
            }

        }
    }

}

#priceRange {
    font-size: 80%;
    color: gray;
    >[data-g] {
        font-weight: normal;

        &:first-child::after {
            content: ' - ';
        }

        &:nth-child(2):empty::before {
            content: 'ناموجود';
        }

        &:nth-child(2):not(:empty)::after {
            content: ' تومان';
        }
    }

}

.guideLink {
    float: inline-end;
    color: gray;

    .myIcons {
        vertical-align: middle;
        margin-inline-start: 10px;
    }
}

.optionsWrapper {
    margin-top: 20px;

    &:has(.options:empty) {
        display: none;
    }

    .options {
        margin-top: 5px;
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
        color: gray;

        >label {
            font-size: 11px;
            cursor: pointer;
            border: 1px solid gray;
            width: 55px;
            height: 55px;
            place-content: center;
            text-align: center;

            &:has(input:checked) {
                border-color: black;
                color: black;
            }

            input {
                display: none;
            }
        }
    }
}

#productSpecs {
    >label {
        padding-inline: 20px;
        width: auto;
        background: lightgray;
        white-space: nowrap;
        border: none;
        color: black;

    }
}

#priceWrapper {
    display: flex;
    flex-wrap: wrap;
    margin-top: 20px;
    height: 55px;
    gap: 10px;
    justify-content: end;

    >* {
        place-content: center;
    }
    >:first-child{
        flex-grow: 1;
    }
    >:last-child {
        text-align: left;
    }
}

#price {
    font-size: 24px;
    font-weight: bold;
}
.digikalaLink{
    margin-top: 10px;
    font-size: 10px;
    display: block;
    /* background-color: lightgray; */
    img{
        width: 60px;
        vertical-align: middle;
    }
}
#notExist{
    font-size:16px;
    padding-block: 15px;
}

#addToCartGroup {
    #quantityWrapper {
        display: none;
    }

    &.quantityMode {
        #quantityWrapper {
            display: unset;
        }

        #addToShopCart {
            display: none;
        }
    }
}

#productFavorite {
    color: transparent;
    -webkit-text-stroke: 2px black;
    text-stroke: 2px black;

    &:hover,
    &.active {
        -webkit-text-stroke: 0px;
        text-stroke: 0px;
        color: var(--color2);

    }
}

.star-modal {
    text-align: center;
}
.ratingDlgIcon{
    color:var(--color2);
    font-size:40px;
    text-align: center;
    font-family: webIcons;
    padding:40px;
}

.modal-stars {
    direction: ltr;
    font-family: webIcons;
    font-size: 30px;
    margin: 20px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    span {
        padding: 15px;
        color: lightgray;

        &.selected {
            color: var(--color2);
        }
    }
}

.modal-stars span:hover,
.modal-stars:has(span:hover) span {
    color: var(--color2) !important;
    text-shadow: 0 0 15px var(--color2), 0 0 30px var(--color2);

}

.modal-stars span:hover~span {
    color: lightgray !important;
    text-shadow: none;

}

#priceGuide {
    padding: 0;
    font-weight: 300;
    .dlgContent{
        padding: 35px;
    }
    *{
        transition: background-color 0.5s;
    }
    .priceItems {
        direction: ltr;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap:5px;
        align-items: baseline;
        b{
            font-size: 150%;
            font-weight: normal;
            .number{
                font-size:70%;
            }
        }
        label {
            display: inline-grid;
            justify-items: stretch;
            text-align: center;
            direction: rtl;
            gap:5px;
            >span {
                white-space: nowrap;
                font-size: 11px;

                &:first-child {
                    background-color: var(--color1);
                    border-radius: 5px;
                    color: white;
                    padding: 2px 10px;
                    &:hover {
                        cursor: pointer;
                        background-color: var(--color2);
                        &+span{
                            color:var(--color2);
                        }
                    }
                }
            }

        }
    }

    dl {
        display: grid;
        grid-template-columns: max-content auto;
        align-items: center;

        dt {
            white-space: nowrap;
            font-size: 12px;
            border-radius: 5px;
            color: var(--color1);
            padding-inline: 5px;
            line-height: 25px;
            margin-inline-end: 5px;
            margin-block: 5px;

        }

        dd {
            padding-inline: 5px;
            border-radius: 5px;

            margin: 0;
        }
    }

    &:has(.priceItems label#guideGoldPrice:hover) {

        dt#guideGoldPriceDl,
        dt#guideGoldPriceDl+dd {
            background-color: var(--color2);
        }
    }

    &:has(.priceItems label#guideProductWeight:hover) {

        dt#guideProductWeightDl,
        dt#guideProductWeightDl+dd {
            background-color: var(--color2);
        }
    }

    &:has(.priceItems label#guideProductWage:hover) {

        dt#guideProductWageDl,
        dt#guideProductWageDl+dd {
            background-color: var(--color2);
        }
    }

    &:has(.priceItems label#guideTax:hover) {

        dt#guideTaxDl,
        dt#guideTaxDl + dd {
            background-color: var(--color2);
        }
    }

    &:has(.priceItems label#guideAddedValue:hover) {

        dt#guideAddedValueDl,
        dt#guideAddedValueDl+dd {
            background-color: var(--color2);
        }
    }

}
#commentsSection{
    margin-top:30px;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    
    aside{
        flex: 1 0 min(230px, 90svw);
        button{
            width: 100%;
            margin-top: 10px;
        }
    }
    #comments{
        flex-grow: 100;
        flex-basis: 250px;
    }
    #commentsContainer{
        flex-grow: 2;
    }
}
#commentDlg{
    padding: 0px;
    #commentForm{
        padding: 30px;
    }
}

